summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-crypt/cfs/Manifest2
-rw-r--r--app-crypt/cfs/cfs-1.4.1.17-r1.ebuild (renamed from app-crypt/cfs/cfs-1.4.1.17.ebuild)2
-rw-r--r--app-misc/secure-delete/ChangeLog13
-rw-r--r--app-misc/secure-delete/Manifest6
-rw-r--r--app-misc/secure-delete/files/secure-delete-3.1-do-not-use-the-kernel-module.patch41
-rw-r--r--app-misc/secure-delete/files/secure-delete-3.1-makefile.patch25
-rw-r--r--app-misc/secure-delete/metadata.xml9
-rw-r--r--app-misc/secure-delete/secure-delete-3.1.ebuild59
-rw-r--r--dev-libs/nettle/ChangeLog19
-rw-r--r--dev-libs/nettle/Manifest13
-rw-r--r--dev-libs/nettle/files/nettle-1.14-make-as-needed.patch12
-rw-r--r--dev-libs/nettle/files/nettle-2.0-asneeded.patch13
-rw-r--r--dev-libs/nettle/files/nettle-2.0-makefile.patch11
-rw-r--r--dev-libs/nettle/metadata.xml5
-rw-r--r--dev-libs/nettle/nettle-1.15.ebuild42
-rw-r--r--dev-libs/nettle/nettle-2.0.ebuild41
-rw-r--r--dev-libs/nettle/nettle-2.1.ebuild39
17 files changed, 350 insertions, 2 deletions
diff --git a/app-crypt/cfs/Manifest b/app-crypt/cfs/Manifest
index 90c50f8..3a3130a 100644
--- a/app-crypt/cfs/Manifest
+++ b/app-crypt/cfs/Manifest
@@ -5,7 +5,7 @@ DIST cfs_1.4.1-14.diff.gz 17787 RMD160 6b26105f7fa7c34f40be4b6b881599b36bcefb35
DIST cfs_1.4.1-17.diff.gz 18581 RMD160 9fcd6c905f29de64e538c2fbc76c2894e57f14b6 SHA1 427924e1ab9cd92b2118b62164344922de19f13a SHA256 c0938cd88dd603b6ade9dc3cd3073dcd8e3a08e8a16685e62e383681a9506ade
DIST cfs_1.4.1.orig.tar.gz 98376 RMD160 c78b17d920a4c2c3b9382da533a87ca7bea9d8d5 SHA1 ef3dcebcd21071cb04634ce0b3214e7967dde188 SHA256 86b52891c2cff4c80e4c3779337e690c54a6b8e132611269576c3d8d31ec4e74
EBUILD cfs-1.4.1.14.ebuild 2322 RMD160 6dcd5a52a96f40a5685a3ce10a362fb7bc69ef64 SHA1 2e491bbbbdc16629cb78bf2eb500ab000ac4a490 SHA256 00ff2eabaac758c1f2695979affeb79a3469fbfdb51a83c6545722dbbf342de6
-EBUILD cfs-1.4.1.17.ebuild 2318 RMD160 8c898f8fec7f411848d72b6490e10459384279fe SHA1 896bb0960495b1ae8bfa6bd9267117765cbc4a3f SHA256 665bfea8febf83309e18f06f512d2ed6bc523f44c0ae33a83c2b144a04075527
+EBUILD cfs-1.4.1.17-r1.ebuild 2319 RMD160 43dbff23543b08343dd10e8892b4183cbfa31ea4 SHA1 bb46c95ba4cc96ad18600c4a517513a8c4957f2d SHA256 e36a6ee655798649e7d2f99de893c7b2055f7df7d95fb83c5740fb653bf7ca2a
MISC ChangeLog 403 RMD160 215540cb95ad1bba926861bc97ef100547ab517f SHA1 e163d0c6d945723824ba20ff522e4909716a19ce SHA256 1d97bbea060cfb391b0a811b137dbc5a9093172a3608439e65262a8af1cc85ab
MISC ChangeLog.new~ 353 RMD160 46d4ff32f2fadcd6c199283a995ab3f4085895a8 SHA1 5ddb3c9df01b524a496c05f1f317ea3d784a546c SHA256 cd69bce5cf30d0719e8847501a03cb163e8bbd7bc40bd7c96eba58ee4a88adc8
MISC metadata.xml 233 RMD160 d81ec1a0582856aeac5ef3bfec5c80d9850216f6 SHA1 9b94f113e7f382076b1749c2a856e409c96cade3 SHA256 dce03f6cdd96135caf3c971a5ca4a8c916f44532fe8cfb6df88b7bdade407e8b
diff --git a/app-crypt/cfs/cfs-1.4.1.17.ebuild b/app-crypt/cfs/cfs-1.4.1.17-r1.ebuild
index f44a539..fab02d5 100644
--- a/app-crypt/cfs/cfs-1.4.1.17.ebuild
+++ b/app-crypt/cfs/cfs-1.4.1.17-r1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://debian/pool/main/c/cfs/cfs_${MY_PV}.orig.tar.gz
mirror://debian/pool/main/c/cfs/cfs_${MY_PV}-${DEB_PV}.diff.gz"
LICENSE="as-is"
SLOT="0"
-KEYWORDS="~ppc ~x86"
+KEYWORDS="~ppc x86"
IUSE=""
DEPEND="net-fs/nfs-utils"
diff --git a/app-misc/secure-delete/ChangeLog b/app-misc/secure-delete/ChangeLog
new file mode 100644
index 0000000..4abac87
--- /dev/null
+++ b/app-misc/secure-delete/ChangeLog
@@ -0,0 +1,13 @@
+# ChangeLog for app-misc/secure-delete
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*secure-delete-3.1 (10 Aug 2010)
+
+ 10 Aug 2010; Dane Smith (c1pher) <smithdanea@gmail.com>
+ +secure-delete-3.1.ebuild,
+ +files/secure-delete-3.1-do-not-use-the-kernel-module.patch,
+ +files/secure-delete-3.1-makefile.patch, +metadata.xml:
+ Fixed lack of LDFLAGS respect wrt bug 332097.
+ Also cleaned up some cosmetic things.
+
diff --git a/app-misc/secure-delete/Manifest b/app-misc/secure-delete/Manifest
new file mode 100644
index 0000000..385469f
--- /dev/null
+++ b/app-misc/secure-delete/Manifest
@@ -0,0 +1,6 @@
+AUX secure-delete-3.1-do-not-use-the-kernel-module.patch 1493 RMD160 3a33fdf3361768d5c6af93def4bd50b9a53c08e3 SHA1 044569e03af0ac63fab8bd67c4142a2fe7a5d9db SHA256 76e2987c590f0e40455d0d4aec87fca97a7b55ae348fc8d9eeeacaec4b665849
+AUX secure-delete-3.1-makefile.patch 744 RMD160 b4c3f9230e4d1ee4acb0ed977bf7f0bf8cb64e2c SHA1 6ca07ecf5ceb6257bb87179e3c093a6a8729f7e7 SHA256 e19c26df9fc8ad91ee4742428f642531a8f0dfad5c63f4699b0c623f4af2eeca
+DIST secure_delete-3.1.tar.gz 62073 RMD160 923807f99bcc7eed7f0e7f8823ef110b2d0070bc SHA1 ce6391003587b37bd3713a967de04de1f0759107 SHA256 a9d846d1dce3f1bdf13bbb306e8596bc1f263198a086f6beecd90ccf7bddf8d5
+EBUILD secure-delete-3.1.ebuild 1545 RMD160 bdb97a8b283540fbf3ae77309f9c2d7f99a99070 SHA1 ed6dbf4d28179158e9a2dbf3a4e01c79e0360e08 SHA256 e20baaa5a0ccdf4c5225c3092cd06102fa69720e1628bd6419d65a90d035a324
+MISC ChangeLog 454 RMD160 e107fc58740c462ff5dcb8e5357bf1ffb915ca24 SHA1 76fc2de29c6a762b786b86ff937feb27cb171f38 SHA256 5b0ea5b1b7a1bf78442569b048ef3d2d4ef0478ec62162b7d8d299db9bd3f5e1
+MISC metadata.xml 314 RMD160 25181cde297628576a9545bea3a76601485bfaf3 SHA1 ac16b621acf5a22b64859e3323d466fb556fc4c8 SHA256 736baab77aea9c4da199c01e3cd6877c271bd02357ff9b41b537a2232c6e96d7
diff --git a/app-misc/secure-delete/files/secure-delete-3.1-do-not-use-the-kernel-module.patch b/app-misc/secure-delete/files/secure-delete-3.1-do-not-use-the-kernel-module.patch
new file mode 100644
index 0000000..a685b81
--- /dev/null
+++ b/app-misc/secure-delete/files/secure-delete-3.1-do-not-use-the-kernel-module.patch
@@ -0,0 +1,41 @@
+--- Makefile.old 2006-03-08 14:59:53.000000000 -0500
++++ Makefile 2006-03-08 15:00:23.000000000 -0500
+@@ -7,7 +7,7 @@
+ OPT_MOD=-D__KERNEL__ -DMODULE -fomit-frame-pointer -fno-strict-aliasing -pipe -mpreferred-stack-boundary=2
+ #LD_MOD=-r
+
+-all: sdel-lib.o srm sfill sswap smem sdel-mod.o
++all: sdel-lib.o srm sfill sswap smem
+ @echo
+ @echo "A Puritan is someone who is deathly afraid that someone, somewhere, is"
+ @echo "having fun."
+@@ -15,9 +15,6 @@
+ @echo "I hope YOU have fun!"
+ @echo
+
+-sdel-mod.o: sdel-mod.c
+- $(CC) $(OPT) $(OPT_MOD) $(LD_MOD) -I/lib/modules/`uname -r`/build/include -c sdel-mod.c
+-
+ sdel-lib.o: sdel-lib.c
+ $(CC) ${OPT} -c sdel-lib.c
+
+@@ -35,7 +32,7 @@
+ -strip smem
+
+ clean:
+- rm -f sfill srm sswap smem sdel sdel-lib.o sdel-mod.o core *~
++ rm -f sfill srm sswap smem sdel sdel-lib.o
+
+ install: all
+ mkdir -p -m 755 ${INSTALL_DIR} 2> /dev/null
+@@ -47,8 +44,8 @@
+ chmod 644 ${MAN_DIR}/man1/srm.1 ${MAN_DIR}/man1/sfill.1 ${MAN_DIR}/man1/sswap.1 ${MAN_DIR}/man1/smem.1
+ mkdir -p -m 755 ${DOC_DIR} 2> /dev/null
+ cp -f CHANGES FILES README secure_delete.doc usenix6-gutmann.doc ${DOC_DIR}
+- -test -e sdel-mod.o && cp -f sdel-mod.o /lib/modules/`uname -r`/kernel/drivers/char
+-# @-test '!' -e sdel-mod.o -a `uname -s` = 'Linux' && echo "type \"make sdel-mod install\" to compile and install the Linux loadable kernel module for secure delete"
++ -test -e
++# @-test '!' -e
+ @echo
+ @echo "If men could get pregnant, abortion would be a sacrament."
+ @echo
diff --git a/app-misc/secure-delete/files/secure-delete-3.1-makefile.patch b/app-misc/secure-delete/files/secure-delete-3.1-makefile.patch
new file mode 100644
index 0000000..b9aad3d
--- /dev/null
+++ b/app-misc/secure-delete/files/secure-delete-3.1-makefile.patch
@@ -0,0 +1,25 @@
+--- Makefile 2010-08-10 10:44:37.000000000 -0400
++++ Makefile.secure 2010-08-10 10:44:43.000000000 -0400
+@@ -18,14 +19,14 @@
+ sdel-lib.o: sdel-lib.c
+ $(CC) ${OPT} -c sdel-lib.c
+
+-srm: srm.c
+- $(CC) ${OPT} -o srm srm.c sdel-lib.o
+-sfill: sfill.c
+- $(CC) ${OPT} -o sfill sfill.c sdel-lib.o
+-sswap: sswap.c
+- $(CC) ${OPT} -o sswap sswap.c sdel-lib.o
+-smem: smem.c
+- $(CC) ${OPT} -o smem smem.c sdel-lib.o
++srm: srm.o sdel-lib.o
++ $(CC) $(LDFLAGS) srm.o sdel-lib.o -o srm
++sfill: sfill.o sdel-lib.o
++ $(CC) $(LDFLAGS) sfill.o sdel-lib.o -o sfill
++sswap: sswap.o sdel-lib.o
++ $(CC) $(LDFLAGS) sswap.o sdel-lib.o -o sswap
++smem: smem.o sdel-lib.o
++ $(CC) $(LDFLAGS) smem.o sdel-lib.o -o smem
+
+ clean:
+ rm -f sfill srm sswap smem sdel sdel-lib.o
diff --git a/app-misc/secure-delete/metadata.xml b/app-misc/secure-delete/metadata.xml
new file mode 100644
index 0000000..b17012b
--- /dev/null
+++ b/app-misc/secure-delete/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>no-herd</herd>
+ <maintainer>
+ <email>maintainer-needed@gentoo.org</email>
+ <description>This package lacks a primary herd or maintainer.</description>
+ </maintainer>
+</pkgmetadata>
diff --git a/app-misc/secure-delete/secure-delete-3.1.ebuild b/app-misc/secure-delete/secure-delete-3.1.ebuild
new file mode 100644
index 0000000..f9e8227
--- /dev/null
+++ b/app-misc/secure-delete/secure-delete-3.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/secure-delete/secure-delete-3.1.ebuild,v 1.9 2008/12/30 20:20:14 angelos Exp $
+
+inherit eutils toolchain-funcs flag-o-matic
+
+MY_P=${PN//-/_}-${PV}
+S=${WORKDIR}/${MY_P}
+DESCRIPTION="Secure file/disk/swap/memory erasure utilities"
+HOMEPAGE="http://www.thc.org/"
+SRC_URI="http://www.thc.org/releases/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 hppa ia64 ~mips ppc ppc64 sparc x86"
+IUSE=""
+
+RDEPEND="!app-misc/srm"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ chmod u+w .
+
+ sed -i \
+ -e 's|mktemp|mkstemp|g' \
+ sfill.c
+
+ sed -i -e "/strip/d" Makefile
+
+ # the kernel module will not compile without smp support and there is no
+ # good way to ensure that a user has it
+ epatch "${FILESDIR}"/${PN}-3.1-do-not-use-the-kernel-module.patch \
+ "${FILESDIR}"/${P}-makefile.patch
+}
+
+src_compile() {
+ append-flags "-D_GNU_SOURCE -D_FILE_OFFSET_BITS=64"
+ emake CC="$(tc-getCC)" || die "emake failed"
+}
+
+src_install() {
+ emake \
+ INSTALL_DIR="${D}"/usr/bin \
+ MAN_DIR="${D}"/usr/share/man \
+ DOC_DIR="${D}"/usr/share/doc/${PF} \
+ install || die "emake install failed"
+
+ dodoc secure_delete.doc usenix6-gutmann.doc || die
+}
+
+pkg_postinst() {
+ ewarn "sfill and srm are useless on journaling filesystems,"
+ ewarn "such as reiserfs or XFS."
+ ewarn "See documentation for more information."
+
+ elog "The kernel module has been removed since it does not compile"
+ elog "for non-smp kernels."
+}
diff --git a/dev-libs/nettle/ChangeLog b/dev-libs/nettle/ChangeLog
new file mode 100644
index 0000000..53f51fa
--- /dev/null
+++ b/dev-libs/nettle/ChangeLog
@@ -0,0 +1,19 @@
+# ChangeLog for dev-libs/nettle
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*nettle-2.1 (10 Aug 2010)
+
+ 10 Aug 2010; Dane Smith (c1pher) <smithdanea@gmail.com>
+ +nettle-2.1.ebuild:
+ Updated ebuild for 2.1. All patches are obsolete. Merged into upstream.
+
+*nettle-2.0 (10 Aug 2010)
+*nettle-1.15 (10 Aug 2010)
+
+ 10 Aug 2010; Dane Smith (c1pher) <smithdanea@gmail.com>
+ +files/nettle-1.14-make-as-needed.patch, +nettle-1.15.ebuild,
+ +nettle-2.0.ebuild, +files/nettle-2.0-asneeded.patch,
+ +files/nettle-2.0-makefile.patch, +metadata.xml:
+ New ebuild for nettle-2.0. Fixes bug 326385
+
diff --git a/dev-libs/nettle/Manifest b/dev-libs/nettle/Manifest
new file mode 100644
index 0000000..c78de19
--- /dev/null
+++ b/dev-libs/nettle/Manifest
@@ -0,0 +1,13 @@
+AUX nettle-1.14-make-as-needed.patch 471 RMD160 a81f9d7337c99e8c8c86b6f60cf5d94693e67886 SHA1 43256f88cfc0db51012cde89882a92956c65f36b SHA256 f8552cde7b7c91923c276afca147e9c37b851b60896e1c9d5eb729ecd5bbc324
+AUX nettle-2.0-asneeded.patch 397 RMD160 735bbf72df60ee2538f04b591504d5c144e1f7a7 SHA1 fad5db4641b0bbce998d4809dc98df5e009ba7d6 SHA256 bac166a7ff2dbab851e2a138e7660be4b86f177647123c7ed451d152a0b68ff0
+AUX nettle-2.0-makefile.patch 494 RMD160 e76bfb14f07f3185913e80aeb22d2855f1d1b734 SHA1 1c47555864b63aabfb53f7861a11cf71967ef049 SHA256 c335e13c3322dc58768e7a468ba5fa4622656202db588089467c776b3c2933b0
+DIST nettle-1.15.tar.gz 829862 RMD160 8944901d4a856bb25b8e44e420ba4475c0fd0a93 SHA1 0f2d95a859fc64ff3e490f9f2bec0d206ae95a7e SHA256 d6e540bf4acc857a3b09580e7f61822d352ee83c119579bf7333f0a785f7d9ac
+DIST nettle-2.0.tar.gz 883732 RMD160 1e9e8b6f01276376514bee3d34aa479f5de44e0b SHA1 bfe436a556afecad0991fe4afef096992a77647f SHA256 65b9e230b953bfb075f10473917e216df9b825fc325b88f69cdf756ffa17cbd6
+DIST nettle-2.1.tar.gz 965345 RMD160 56bd66654e8320abb12812d0fa1b79733bc62094 SHA1 15f660ef6cfd62c1c3302f68055f194913de0dfb SHA256 b7d26b3e38842d83c02f807ea7a2cbaa6e2d8f22e5fb20d97ab7a171d039d74e
+EBUILD nettle-1.15.ebuild 1026 RMD160 58f5f1104e0a159b4f8ef22d89676d97c624cc75 SHA1 740bd77037a0efe9678021ff33a1162e17dc9c34 SHA256 4926afe7d4a665e4575912d0449568e076c253afd8491fb8906734b8de18e986
+EBUILD nettle-2.0.ebuild 1086 RMD160 925b036f4471303bab17a6eabea5b53c3d2d9681 SHA1 0272894e12e164db6ee4d52c25bcaa2bfa3421fd SHA256 0472db115b4f8f8bc93c7f9acee5ed1149876e37add80c3bc5a67ecd67f07307
+EBUILD nettle-2.1.ebuild 1002 RMD160 1deae8c75fb86b8bce8b93e8edf4557c8331c5eb SHA1 de755f7ea96141d7ce5a2c095abd250b7d42d2d8 SHA256 4fbe461919d9e8d816ffaa615d3d0beebd8b6667a6ff9fa3c2b11228e8f6216e
+MISC ChangeLog 629 RMD160 405a982c890a3700e1d1cc6e8ade2aff0e224273 SHA1 21b886b2c84eaae5011f2c94bdcb2d8ac50ab037 SHA256 95cde473182eec693d71b1d326d9a9034832e86913200575a0ee49e0440e891f
+MISC ChangeLog.new~ 206 RMD160 21466a8294cb05fa66b3e70b63e95c2c812f642d SHA1 f850f5692c5fd15bea0dcb1b9a65e41172551f24 SHA256 8f7cdd63d566465bf0d6d1e47e8aea2b94be01ec612f05509b0bb0cf5375d767
+MISC metadata.xml 159 RMD160 7f0018281c6308f73c2d95b3690e3804f0c353c5 SHA1 09baadee9aeb270d0a7f31be07db9db5c105abbc SHA256 fabd15e2740a2a68e0bda738d0cd4300b133ff11239802afe7e60aa3862c9c03
+MISC nettle-2.1.ebuild~ 1051 RMD160 bba02d8b87f254a6c8543af952fb3be827830ac8 SHA1 23564e5739a09f849792f0cfc92a2c8bf3691f3f SHA256 ee9c2db6ac74edc1a6c920b93bfd0a78cacae986244ade794350ac8ae8daa9ea
diff --git a/dev-libs/nettle/files/nettle-1.14-make-as-needed.patch b/dev-libs/nettle/files/nettle-1.14-make-as-needed.patch
new file mode 100644
index 0000000..ec1380f
--- /dev/null
+++ b/dev-libs/nettle/files/nettle-1.14-make-as-needed.patch
@@ -0,0 +1,12 @@
+diff -urNp nettle-1.13.org/configure.ac nettle-1.13/configure.ac
+--- nettle-1.13.org/configure.ac 2005-10-06 22:29:11.000000000 +0300
++++ nettle-1.13/configure.ac 2006-10-31 21:19:24.000000000 +0200
+@@ -152,7 +152,7 @@ case `uname -sr` in
+ SHLIBFILE='$(SHLIBSONAME).$(SHLIBMINOR)'
+ SHLIBLINK='$(CC) $(LDFLAGS) -shared -Wl,-soname=$(SHLIBSONAME)'
+ # FIXME: It might make some sense to link with -lgmp
+- SHLIBLIBS=''
++ SHLIBLIBS='$(LIBS)'
+ ;;
+ esac
+
diff --git a/dev-libs/nettle/files/nettle-2.0-asneeded.patch b/dev-libs/nettle/files/nettle-2.0-asneeded.patch
new file mode 100644
index 0000000..05e87bd
--- /dev/null
+++ b/dev-libs/nettle/files/nettle-2.0-asneeded.patch
@@ -0,0 +1,13 @@
+http://bugs.gentoo.org/show_bug.cgi?id=285747
+
+--- configure.ac
++++ configure.ac
+@@ -206,7 +206,7 @@
+ LIBHOGWEED_FILE='$(LIBHOGWEED_SONAME).$(LIBHOGWEED_MINOR)'
+ LIBHOGWEED_LINK='$(CC) $(LDFLAGS) -shared -Wl,-soname=$(LIBHOGWEED_SONAME)'
+ # FIXME: It might make some sense to link with -lnettle -lgmp
+- LIBHOGWEED_LIBS=''
++ LIBHOGWEED_LIBS='-L. -lnettle $(LIBS)'
+ ;;
+ esac
+
diff --git a/dev-libs/nettle/files/nettle-2.0-makefile.patch b/dev-libs/nettle/files/nettle-2.0-makefile.patch
new file mode 100644
index 0000000..d997076
--- /dev/null
+++ b/dev-libs/nettle/files/nettle-2.0-makefile.patch
@@ -0,0 +1,11 @@
+--- Makefile.in 2009-06-08 14:27:11.000000000 -0400
++++ Makefile.nettle.in 2010-08-09 19:58:19.000000000 -0400
+@@ -148,7 +148,7 @@
+ [ -z "$(LIBNETTLE_SONAME)" ] || (cd .lib \
+ && ln -sf ../$(LIBNETTLE_FORLINK) $(LIBNETTLE_SONAME))
+
+-$(LIBHOGWEED_FORLINK): $(hogweed_PURE_OBJS)
++$(LIBHOGWEED_FORLINK): $(hogweed_PURE_OBJS) $(LIBNETTLE_FORLINK)
+ $(LIBHOGWEED_LINK) $(hogweed_PURE_OBJS) -o $@ $(LIBHOGWEED_LIBS)
+ -mkdir .lib 2>/dev/null
+ [ -z "$(LIBHOGWEED_SONAME)" ] || (cd .lib \
diff --git a/dev-libs/nettle/metadata.xml b/dev-libs/nettle/metadata.xml
new file mode 100644
index 0000000..d68fe97
--- /dev/null
+++ b/dev-libs/nettle/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>crypto</herd>
+</pkgmetadata>
diff --git a/dev-libs/nettle/nettle-1.15.ebuild b/dev-libs/nettle/nettle-1.15.ebuild
new file mode 100644
index 0000000..4f4b99d
--- /dev/null
+++ b/dev-libs/nettle/nettle-1.15.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/nettle/nettle-1.15.ebuild,v 1.6 2007/12/11 10:03:54 vapier Exp $
+
+inherit eutils autotools
+
+DESCRIPTION="cryptographic library that is designed to fit easily in any context"
+HOMEPAGE="http://www.lysator.liu.se/~nisse/nettle/"
+SRC_URI="http://www.lysator.liu.se/~nisse/archive/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~hppa ~ia64 ppc s390 sparc x86 ~x86-fbsd"
+IUSE="gmp ssl"
+
+DEPEND="gmp? ( dev-libs/gmp )
+ ssl? ( dev-libs/openssl )
+ !<dev-libs/lsh-1.4.3-r1"
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}/${PN}-1.14-make-as-needed.patch"
+ sed -i \
+ -e '/CFLAGS/s:-ggdb3::' \
+ configure.ac || die
+ eautoreconf
+}
+
+src_compile() {
+ econf \
+ --enable-shared \
+ $(use_enable ssl openssl) \
+ $(use_enable gmp public-key) \
+ || die
+ emake || die
+}
+
+src_install() {
+ make DESTDIR="${D}" install || die
+ dodoc AUTHORS ChangeLog NEWS README
+}
diff --git a/dev-libs/nettle/nettle-2.0.ebuild b/dev-libs/nettle/nettle-2.0.ebuild
new file mode 100644
index 0000000..5afcbaa
--- /dev/null
+++ b/dev-libs/nettle/nettle-2.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/nettle/nettle-2.0.ebuild,v 1.8 2010/03/29 10:52:52 ssuominen Exp $
+
+EAPI=2
+inherit autotools eutils
+
+DESCRIPTION="cryptographic library that is designed to fit easily in any context"
+HOMEPAGE="http://www.lysator.liu.se/~nisse/nettle/"
+SRC_URI="http://www.lysator.liu.se/~nisse/archive/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~hppa ~ia64 ppc s390 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="gmp ssl"
+
+DEPEND="gmp? ( dev-libs/gmp )
+ ssl? ( dev-libs/openssl )
+ !<dev-libs/lsh-1.4.3-r1"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-asneeded.patch
+ epatch "${FILESDIR}"/${P}-makefile.patch
+ sed -i \
+ -e '/CFLAGS/s:-ggdb3::' \
+ configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --enable-shared \
+ $(use_enable gmp public-key) \
+ $(use_enable ssl openssl)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc AUTHORS ChangeLog NEWS README
+}
diff --git a/dev-libs/nettle/nettle-2.1.ebuild b/dev-libs/nettle/nettle-2.1.ebuild
new file mode 100644
index 0000000..3618cb5
--- /dev/null
+++ b/dev-libs/nettle/nettle-2.1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/nettle/nettle-2.0.ebuild,v 1.8 2010/03/29 10:52:52 ssuominen Exp $
+
+EAPI=2
+inherit autotools eutils
+
+DESCRIPTION="cryptographic library that is designed to fit easily in any context"
+HOMEPAGE="http://www.lysator.liu.se/~nisse/nettle/"
+SRC_URI="http://www.lysator.liu.se/~nisse/archive/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~hppa ~ia64 ppc s390 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos"
+IUSE="gmp ssl"
+
+DEPEND="gmp? ( dev-libs/gmp )
+ ssl? ( dev-libs/openssl )
+ !<dev-libs/lsh-1.4.3-r1"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i \
+ -e '/CFLAGS/s:-ggdb3::' \
+ configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --enable-shared \
+ $(use_enable gmp public-key) \
+ $(use_enable ssl openssl)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+ dodoc AUTHORS ChangeLog NEWS README
+}